Bug 630802 - perl-Test-Smoke must not provide perl(Mail::Sendmail)
perl-Test-Smoke must not provide perl(Mail::Sendmail)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-Test-Smoke (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 631042
  Show dependency treegraph
 
Reported: 2010-09-06 22:51 EDT by Ralf Corsepius
Modified: 2010-12-03 07:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:35:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 61129 None None None Never

  None (edit)
Description Ralf Corsepius 2010-09-06 22:51:34 EDT
Description of problem:

perl-Test-Smoke ships inc::Mail::Sendmail

# repoquery -ql perl-Test-Smoke | grep Sendmail
/usr/share/man/man3/inc::Mail::Sendmail.3pm.gz
/usr/share/perl5/inc/Mail/Sendmail.pm

This causes perl-Test-Smoke provide perl(Mail::Sendmail), which conflicts with the real perl(Mail::Sendmail):
# repoquery -q --whatprovides 'perl(Mail::Sendmail)'
perl-Test-Smoke-0:1.43-1.fc13.noarch
perl-Mail-Sendmail-0:0.79-13.fc13.noarch

AFAIS, perl-Test-Smoke's inc/Mail/Sendmail.pm is an outdated version of Mail/Sendmail.pm which must not be installed and probably also should not be used in Fedora.

Version-Release number of selected component (if applicable):
perl-Test-Smoke-0:1.43-1


Additional info:
This causes yum to pull in the perl-Test-Smoke package in cases when packages would want to "Require: perl(Mail::Sendmail)" on all of Fedora 12 ... 15.

=> It causes malfunctions.
Comment 1 Fedora Update System 2010-09-07 03:58:03 EDT
perl-Test-Smoke-1.43-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-Smoke-1.43-2.fc14
Comment 2 Ralf Corsepius 2010-09-07 11:00:10 EDT
Why did you reset this BZ's priority?

This bug 
a) breaks building other packages and causes FTBS bugs.
b) breaks user installations.

It should be fixed in all currently released Fedora's and should definitely not be "sit out" by shifting responsibility to upstream/CPAN.
Comment 3 Ralf Corsepius 2010-09-07 12:31:38 EDT
Examples the breakdowns this bug is causing:

* FTBFS:

http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/i386/perl-Test-Email-0.04-5.fc14.src.rpm/result/root.log
...
DEBUG util.py:255:     perl(Mail::Sendmail)
...
DEBUG util.py:255:   Winner: perl-Test-Smoke-1.43-1.fc14.noarch
DEBUG util.py:255:   Winner: perl-Mail-Sendmail-0.79-14.fc14.noarch
DEBUG util.py:255:  Best Order: [(<YumAvailablePackageSqlite : perl-Test-Smoke-1.43-1.fc14.noarch (0x11e01d0)>, 986), (<YumAvailablePackageSqlite : perl-Mail-Sendmail-0.79-14.fc14.noarch (0x11e0150)>, 983)]
DEBUG util.py:255:  0:perl-Test-Smoke-1.43-1.fc14.noarch
...

=> Poof


* Mock:

# mock -r fedora-13-i386 init
# mock -r fedora-13-i386 -v install perl\(Mail::Sendmail\)
...
DEBUG: Installing:
DEBUG:  perl-Test-Smoke      noarch      1.43-1.fc13       updates-released      288 k
...
Comment 4 Fedora Update System 2010-09-09 00:31:19 EDT
perl-Test-Smoke-1.43-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Bug Zapper 2010-11-03 06:21:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 07:35:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.